# Payment

`POST https://api.paybeta.ng/v2/electricity/purchase`

Authentication: `P-API-KEY` header.

## Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `service` | string | yes |  |
| `meterNumber` | string | yes |  |
| `meterType` | string | yes |  |
| `amount` | integer | yes |  |
| `customerName` | string | yes |  |
| `customerAddress` | string | yes |  |
| `reference` | string | yes |  |

## Request: Request body

```json
{
    "service": "ikeja-electric",
    "meterNumber": "042***3016",
    "meterType": "prepaid",
    "amount": 2000,
    "customerName": "MR JOHN DOE",
    "customerAddress": "1 JOHN DOE STR",
    "reference": "{{$timestamp}}"
}
```

## Response 200: Success

```json
{
    "status": "successful",
    "message": "Transaction successful",
    "data": {
        "reference": "1715455653",
        "amount": 1000,
        "chargedAmount": 496.5,
        "commission": 3.5,
        "biller": "Ikeja Electricity - IKEDC",
        "customerId": "10428776010",
        "token": "3193-6233-0096-7827-3805",
        "unit": "44.6",
        "bonusToken": "",
        "transactionDate": "2024-05-11 20:27:33",
        "transactionId": "17154556531428310982"
    }
}
```
